Bug 586213 - hanazono-fonts isn't usable
Summary: hanazono-fonts isn't usable
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hanazono-fonts   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 04:44 UTC by Akira TAGOH
Modified: 2010-08-13 21:09 UTC (History)
3 users (show)

Fixed In Version: hanazono-fonts-20100718-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 21:09:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Akira TAGOH 2010-04-27 04:44:22 UTC
Description of problem:
hanazono-fonts is capable for Japanese font though, it doesn't have enough glyph coverage for Japanese.

Version-Release number of selected component (if applicable):
hanazono-fonts-20100222-1.fc13

How reproducible:
always

Steps to Reproduce:
1.fc-match -v HanaMin|grep -E "        lang"|grep ja
2.
3.
  
Actual results:
No output

Expected results:
the lang spec should contains ja.

Additional info:

Comment 1 Akira TAGOH 2010-04-27 04:45:24 UTC
This is raised during the testing of Bug#578019.

Comment 2 Akira TAGOH 2010-07-13 05:20:47 UTC
Apparently the following glyphs are missing in hanazono-fonts:

U+3000
U+3001
U+3002
U+3041
U+3042
U+3043
U+3044
U+3045
U+3046
U+3047
U+3048
U+3049
U+304A
U+304B
U+304C
U+304D
U+304E
U+304F
U+3050
U+3051
U+3052
U+3053
U+3054
U+3055
U+3056
U+3057
U+3058
U+3059
U+305A
U+305B
U+305C
U+305D
U+305E
U+305F
U+3060
U+3061
U+3062
U+3063
U+3064
U+3065
U+3066
U+3067
U+3068
U+3069
U+306A
U+306B
U+306C
U+306D
U+306E
U+306F
U+3070
U+3071
U+3072
U+3073
U+3074
U+3075
U+3076
U+3077
U+3078
U+3079
U+307A
U+307B
U+307C
U+307D
U+307E
U+307F
U+3080
U+3081
U+3082
U+3083
U+3084
U+3085
U+3086
U+3087
U+3088
U+3089
U+308A
U+308B
U+308C
U+308D
U+308E
U+308F
U+3090
U+3091
U+3092
U+3093
U+309B
U+309C
U+309D
U+309E
U+30A1
U+30A2
U+30A3
U+30A4
U+30A5
U+30A6
U+30A7
U+30A8
U+30A9
U+30AA
U+30AB
U+30AC
U+30AD
U+30AE
U+30AF
U+30B0
U+30B1
U+30B2
U+30B3
U+30B4
U+30B5
U+30B6
U+30B7
U+30B8
U+30B9
U+30BA
U+30BB
U+30BC
U+30BD
U+30BE
U+30BF
U+30C0
U+30C1
U+30C2
U+30C3
U+30C4
U+30C5
U+30C6
U+30C7
U+30C8
U+30C9
U+30CA
U+30CB
U+30CC
U+30CD
U+30CE
U+30CF
U+30D0
U+30D1
U+30D2
U+30D3
U+30D4
U+30D5
U+30D6
U+30D7
U+30D8
U+30D9
U+30DA
U+30DB
U+30DC
U+30DD
U+30DE
U+30DF
U+30E0
U+30E1
U+30E2
U+30E3
U+30E4
U+30E5
U+30E6
U+30E7
U+30E8
U+30E9
U+30EA
U+30EB
U+30EC
U+30ED
U+30EE
U+30EF
U+30F0
U+30F1
U+30F2
U+30F3
U+30F4
U+30F5
U+30F6
U+30FB
U+30FC
U+30FD
U+30FE

Comment 3 Akira TAGOH 2010-07-27 06:23:36 UTC
confirmed a fix in new upstream.

Comment 4 Fedora Update System 2010-07-27 06:29:47 UTC
hanazono-fonts-20100718-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hanazono-fonts-20100718-1.fc13

Comment 5 Fedora Update System 2010-07-30 08:33:46 UTC
hanazono-fonts-20100718-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hanazono-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hanazono-fonts-20100718-1.fc13

Comment 6 Bug Zapper 2010-07-30 11:28:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora Update System 2010-08-13 21:09:29 UTC
hanazono-fonts-20100718-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.